Retrieve changes
curl --request GET \
--url https://api.hubapi.com/commerce/contracts/2026-09-beta/contracts/{contractId}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/contracts/2026-09-beta/contracts/{contractId}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/contracts/2026-09-beta/contracts/{contractId}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"contractId": "<string>",
"id": "<string>",
"lineItemChanges": [
{
"rampKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineItemUpdate": {
"allowBuyerSelectedQuantity": {},
"billingCycleAnchorDate": {},
"billingStartDelayDays": {},
"billingStartDelayMonths": {},
"buyerSelectedQuantityMax": {},
"buyerSelectedQuantityMin": {},
"description": {},
"discount": {},
"discountPercentage": {},
"externalId": {},
"images": {},
"isEditablePrice": {},
"isOptional": {},
"lineItemCurrencyCode": {},
"name": {},
"positionOnQuote": {},
"priceBookId": {},
"pricing": {},
"productType": {},
"quantity": {},
"recurringBillingEndDate": {},
"recurringBillingFrequency": {},
"recurringBillingPeriod": {},
"recurringBillingStartDate": {},
"richTextDescription": {},
"sku": {},
"variantId": {}
}
}
],
"prorating": true,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveDate": "2023-12-25",
"name": "<string>",
"quoteId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Changes
List changes
Retrieve a list of changes associated with a specific contract in your HubSpot account. This endpoint is useful for tracking modifications made to a contract over time, allowing you to audit changes and understand the history of a contract’s amendments.
GET
/
commerce
/
contracts
/
2026-09-beta
/
contracts
/
{contractId}
/
changes
Retrieve changes
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the contract for which changes are being retrieved.
Response
successful operation
An array of contract change objects, each representing a specific change made to the contract. Each item in the array is a ContractChangeResponse object.
Show child attributes
Show child attributes
Last modified on August 6, 2026
Was this page helpful?
⌘I